### Class

# Gtk NumericSorter

#### Description [src]

    final class Gtk.NumericSorter : Gtk.Sorter {
      /* No available fields */
    }

`GtkNumericSorter` is a `GtkSorter` that compares numbers.

To obtain the numbers to compare, this sorter evaluates a `GtkExpression`.

#### Hierarchy

#### Ancestors

- GtkSorter
- GObject

#### Constructors

###### gtk_numeric_sorter_new

Creates a new numeric sorter using the given `expression`.

#### Instance methods

###### gtk_numeric_sorter_get_expression

Gets the expression that is evaluated to obtain numbers from items.

###### gtk_numeric_sorter_get_sort_order

Gets whether this sorter will sort smaller numbers first.

###### gtk_numeric_sorter_set_expression

Sets the expression that is evaluated to obtain numbers from items.

###### gtk_numeric_sorter_set_sort_order

Sets whether to sort smaller numbers before larger ones.

##### Methods inherited from GtkSorter (3)

###### gtk_sorter_changed

Notifies all users of the sorter that it has changed.

###### gtk_sorter_compare

Compares two given items according to the sort order implemented by the sorter.

###### gtk_sorter_get_order

Gets the order that `self` conforms to.

#### Properties

###### Gtk.NumericSorter:expression

The expression to evaluate on items to get a number to compare with.

###### Gtk.NumericSorter:sort-order

Whether the sorter will sort smaller numbers first.

#### Class structure

    struct GtkNumericSorterClass {
      GtkSorterClass parent_class;

    }

###### Class members

`parent_class` |
    GtkSorterClass
| No description available.